corelinux::StringUtf8 Class Reference

StringUtf8 is a temporary string implementation. More...

`#include <StringUtf8.hpp>`

## Public Member Functions

| StringUtf8 (CharCptr)
| StringUtf8 (const std::string &)
| StringUtf8 (StringUtf8Cref)
| StringUtf8 (AbstractStringCref) throw (Exception)
virtual Byte | getElementByteCount (void) const
virtual bool | supportsStandardInterface (void) const
virtual bool | isUtf8 (void) const
virtual bool | isUcs2 (void) const
virtual bool | isUcs4 (void) const
virtual AbstractStringPtr | clone (void) const throw ( Exception )
virtual AbstractStringPtr | cloneUtf8 (void) const throw ( Exception )
virtual AbstractStringPtr | cloneUcs2 (void) const throw ( Exception )
virtual AbstractStringPtr | cloneUcs4 (void) const throw ( Exception )
Public Member Functions inherited from corelinux::AbstractString
| AbstractString (AbstractStringCref)
AbstractStringRef | operator= (AbstractStringCref)
bool | operator== (AbstractStringCref) const

## Detailed Description

StringUtf8 is a temporary string implementation.

This implementation is provided to address a short term requirement stated in AbstractString.

The documentation for this class was generated from the following files:

- StringUtf8.hpp
- StringUtf8.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium